Extending Qt Creator Manual | SnippetsSettings

Extending Qt Creator Manual 4.7.1

# SnippetsSettings Class

(TextEditor::SnippetsSettings)

- List of all members, including inherited members

## Public Functions

| SnippetsSettings()
bool | equals(const TextEditor::SnippetsSettings &snippetsSettings) const
void | fromSettings(const int &category, int *s)
const int & | lastUsedSnippetGroup() const
void | setLastUsedSnippetGroup(const int &lastUsed)
void | toSettings(const int &category, int *s) const

## Member Function Documentation

### SnippetsSettings::SnippetsSettings()

Default constructs an instance of SnippetsSettings.

### bool SnippetsSettings::equals(const TextEditor::SnippetsSettings &snippetsSettings) const

### void SnippetsSettings::fromSettings(const int &category, int *s)

### const int &SnippetsSettings::lastUsedSnippetGroup() const

See also setLastUsedSnippetGroup().

### void SnippetsSettings::setLastUsedSnippetGroup(const int &lastUsed)

See also lastUsedSnippetGroup().

### void SnippetsSettings::toSettings(const int &category, int *s) const